Page MenuHomePhabricator

efl-mono: Add test and fix problem with private dynamic types passed as parameters
ClosedPublic

Authored by felipealmeida on Apr 7 2019, 8:21 AM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
felipealmeida created this revision.Apr 7 2019, 8:21 AM
felipealmeida requested review of this revision.Apr 7 2019, 8:21 AM

Do not register Efl.Object again and again

lauromoura requested changes to this revision.Apr 8 2019, 5:56 PM
lauromoura added a subscriber: lauromoura.
lauromoura added inline comments.
src/tests/efl_mono/Ui.cs
87 ↗(On Diff #21275)

Not sure if this is currently doable in our automated tests. Efl.Eo.Config.Shutdown() de-registers the Dispose helpers we set up when initializing it. Probably we should move to a count-based system like efl does.

90 ↗(On Diff #21275)

This seems to be wrong. Launch() already takes care of starting the main loop.

Maybe we should keep this as a manual test while we add a similar behavior as an automated test.

This revision now requires changes to proceed.Apr 8 2019, 5:56 PM

Remove test that is not working

lauromoura accepted this revision.Apr 9 2019, 7:14 AM
This revision is now accepted and ready to land.Apr 9 2019, 7:14 AM
vitor.sousa accepted this revision.Apr 9 2019, 2:35 PM
This revision was automatically updated to reflect the committed changes.